<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/

if ( ! defined( 'IN_REVOKE' ) )
{
	print '<html><head><title>RevokeBB Error</title></head><body><h1>Incorrect access</h1>You cannot access this file directly.</body></html>';
	exit();
}

require 'inc/class_forum.php';

$this->classes->lang->load('index');

$forum=new Forum($this->classes);

if(isset($_GET['s']))
{
	$s=intval($_GET['s']);
	switch($s)
	{
		case '01': {
					$forum->update_forum_order('list_'.$_GET['cid']); 
					
					$logs->new_admin_log('Modified forum order');
					
					}break;
		case '02': {
					$forum->rename_forum(addslashes($_POST['value']), intval($_GET['fid']));
					
					echo $_POST['value'];
					
					$logs->new_admin_log('Renamed forum with id '.$_GET['fid'].' in: '.$_POST['value']);
					
					}break;
		case '03': 
				{
					
					$forum->show_index_forums();
					
				}break;
		case '04': 
				{
					$this->classes->var_filtrer->add($_POST);
	
					$cat_id = $this->classes->var_filtrer->Integer('cat_id');
					$forum_name = $this->classes->var_filtrer->String('forum_name');
					
					$query = $this->classes->db->execQuery($this->classes->db->sql_build('fetch_all_groups'));
					
					$count=array();
					
					while($vett=$this->classes->db->fetch_array($query))
					{
						$all_group[] =$vett;
						$count[]=$vett['gid'];
					}
					
					$this->classes->skin->content.='<tot>';
					
					$conta = count($count);
					
					$temp = '';
					for($i=0;$i<$conta;$i++)
					{
						if($i!=0)
							$temp.= ',';
						$temp .= $count[$i];
					}
					
					$this->classes->skin->assign('tot', $temp);
					
					$this->classes->skin->assign('user', $this->classes->user->info_user);
					$this->classes->skin->assign('config', $this->classes->_config);
					$this->classes->skin->assign('mode', array('admin' => intval($this->classes->user->info_user['admincp'] == 1)));
					$this->classes->skin->assign('lang', $this->classes->lang->lang_all);
						
					$this->classes->skin->assign('forum_name', $forum_name);
					$this->classes->skin->assign('cat_id', $cat_id);
					$this->classes->skin->assign('groups', $all_group);
					$this->classes->skin->display('admincp/ad_forums_newforum.tpl');
					exit;
					
				}break;
		case '05': 
				{
					$array['title']=$_POST['forum_name'];
					
					$array['description']=$_POST['description'];
					
					$array['cat_id']=$_POST['cat_id'];
					
					if($_POST['redirect']==1)
						$array['move_url']=$_POST['redirect_name'];
					else
						$array['move_url']='0';
						
					$query = $this->classes->db->execQuery($this->classes->db->sql_build('fetch_all_groups'));
					
					while($vett=$this->classes->db->fetch_array($query))
					{
					
					$array['perm_'.$vett['gid']]='00000';
						
						for($i=1;$i<6;$i++)
						{
							if(isset($_POST['perm_'.$vett['gid'].'_'.$i]))
								$array['perm_'.$vett['gid']][($i-1)] = 1;
						}
					}	
						
						
					$forum->new_forum($array);
					
					$logs->new_admin_log('Created new forum: '.$array['title']);
					
					$this->classes->error->admin_complete('Forum creato con successo', 'index.php?act=admin&code=forums');
					
					
				}
				break;
		case '06': 
				{
					$forum->delete_forum($_GET['fid']);
					
					$this->classes->error->admin_complete('Forum eliminato con successo','index.php?act=admin&code=forums');;
					
					
					$logs->new_admin_log('Deleted forum with id:'.$_GET['fid']);
				}
				break;
		case '07': 
				{
					$forum->sync_forum($_GET['fid']);
					
					$this->classes->error->admin_complete('Forum sincronizzato con successo','index.php?act=admin&code=forums');
					
					
					$logs->new_admin_log('Forum risincronized with id:'.$_GET['fid']);
				}
				break;
		case '08': 
				{
					$forum->new_category($_POST['name']);
					
					$this->classes->error->admin_complete('Categoria creata con successo','index.php?act=admin&code=forums');
					
					
					$logs->new_admin_log('New Category created: '.$_POST['name']);
				}
				break;
		case '09': 
				{
					$forum->delete_cat(intval($_GET['cid']));
					
					$this->classes->error->admin_complete('Categoria eliminata con successo','index.php?act=admin&code=forums');
					
					
					$logs->new_admin_log('Category deleted: '.$_POST['name']);
				}
				break;
	}
	exit;
}

$forum->show_admin_forums();



?>