<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/

if ( ! defined( 'IN_REVOKE' ) )
{
	print '<html><head><title>RevokeBB Error</title></head><body><h1>Incorrect access</h1>You cannot access this file directly.</body></html>';
	exit();
}

//--------------------------------
// Load classes
//--------------------------------
require 'inc/class_thread.php';

//---------------------------------
// Check if i have submit the form
//---------------------------------
$this->classes->lang->load('newmp');

if(!isset($_GET['uid']) || $_GET['uid']=='')
		$this->classes->error->simple_error('no_uid');
$uid = $_GET['uid'];

if(isset($_SESSION['num_mail']) && $_SESSION['num_mail']==10)
	$this->classes->error->simple_error('max_emails');

if($this->classes->user->info_user['user_id'] < 1)
	$this->classes->error->simple_error('no_perm');


if(!isset($_POST['topicid']))
{
	
	
	$nav['type'] = '<a href="index.php?act=newmail&uid='.$uid.'" class="nav">Nuovo Messaggio</a>';
	
	$this->classes->skin->assign('nav', $nav);
	
	if(! $this->classes->user->user_exists($uid) )
			$this->classes->error->simple_error('no_profile');

	$newpost['type'] = 'newmp';
	$newpost['forumid'] = $uid;
	$newpost['thread_id'] = 0;
	$newpost['text'] = 0;
	$newpost['formaction'] = 'index.php?act=newmp&uid='.$uid;
	$newpost['title'] = $this->classes->lang->language['lang_title'];
	
	$this->classes->skin->assign('newpost', $newpost);
	
}
else
{
	
	if(!strstr($_SERVER['HTTP_REFERER'],$this->classes->_config['board_domain']))
		$this->classes->error->simple_error('no_perm');
	
	
	$thread=new Thread($this->classes);
	
	$this->classes->var_filtrer->add($_POST);
	
	$text=addslashes(trim($_POST['replybox']));
	$title=trim($this->classes->var_filtrer->String('title', 0));
	
	if(strlen($title)<3)
		$this->classes->error->simple_error('title_len');
		
	if(strlen($text)<3)
		$this->classes->error->simple_error('text_len');
		
	$text = $thread->prepare_post($text);
	
	$dest_user = $this->classes->user->get_infos($uid);
	
	$headers = "From: ".$this->classes->_config['admin_email']."\n";
	$headers .= "Return-Path: ".$this->classes->_config['admin_email']."\n";
	@mail( $dest_user['user_email'] , $title, $text, $headers );
	
	if(isset($_SESSION['num_mail']))
		$_SESSION['num_mail']++;
	else
		$_SESSION['num_mail'] = 1;
	
	
	//---------------------------------
	// Go at posted post (lol)
	//---------------------------------
	
	$this->classes->error->complete('index.php?act=usercp', $this->classes->lang->language['lang_done']);
}

$act = 'newmp';

?>