<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/

if ( ! defined( 'IN_REVOKE' ) )
{
	print '<html><head><title>RevokeBB Error</title></head><body><h1>Incorrect access</h1>You cannot access this file directly.</body></html>';
	exit();
}

//----------------------------------
// Load classes
//----------------------------------

//----------------------------------
// check if the form was sent
//----------------------------------
$this->classes->lang->load('profile');

if(!isset($_GET['id']))
	$this->classes->error->simple_error('no_uid');
else
	$id=intval($_GET['id']);

if($id == $this->classes->user->info_user['user_id'])
	$info_user = $this->classes->user->info_user;
else
	if($this->classes->user->user_exists($id))	
		$info_user=$this->classes->user->get_infos($id);
	else
		$this->classes->error->simple_error('no_profile');


if(!$this->classes->user->has_visited($id,'_pf')) 	
	$query = $this->classes->db->execQuery($this->classes->db->sql_build('update_profile_views', $id)); 


$info_user['user_sign'] = stripslashes($info_user['user_sign']);
$info_user['lastaction'] = gmdate('d-m-Y H:i:s', $info_user['lastaction']);
$info_user['joined'] = gmdate('d-m-Y H:i:s',$info_user['joined']);


$this->classes->skin->assign('user2', $info_user);
?>