<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/
if ( ! defined( 'IN_REVOKE' ) )
{
	print '<html><head><title>RevokeBB Error</title></head><body><h1>Incorrect access</h1>You cannot access this file directly.</body></html>';
	exit();
}

//----------------------------------
// Load classes
//----------------------------------

//----------------------------------
// check if the form was sent
//----------------------------------
$this->classes->lang->load('register');

if(!isset($_POST['nickname']))
{
	
	$this->classes->skin->content.='<nav></nav><register>'.$this->classes->lang->lang2xslt('main').'</register>';

}
else
{
	$this->classes->var_filtrer->add($_POST);
	
	$username=$this->classes->var_filtrer->String('nickname');
	$email=$this->classes->var_filtrer->String('email');
	$email2=$this->classes->var_filtrer->String('email2');
	$website=$this->classes->var_filtrer->String('website');
	$password=$this->classes->var_filtrer->String('password');
	$password2=$this->classes->var_filtrer->String('password2');
	
	if($username=='')
		$this->classes->error->simple_error('spec_username');
	else
		if($email=='' || $email!=$email2 || eregi("^[a-zA-Z0-9_]+@[a-zA-Z0-9\-]+\.[a-zA-Z0-9\-\.]+$]", $email) )
			$this->classes->error->simple_error('not_valid_email');
		else
			if($password=='' || $password!=$password2)
				$this->classes->error->simple_error('check_password');
				
	
	require 'inc/class_gd_ver.php';	
	$captcha=new gd_handler();

	if(!$captcha->verify_string($_POST['captcha']))
		$this->classes->error->simple_error('no_captcha');
	
	
	if($this->classes->user->username_exists($username))
		$this->classes->error->simple_error('user_exists');
	
	
	$member = array($username, md5($password.'revoke4gurus'), $email, 'noavatar.gif', '', 1, 0, time() );
	
	
	$this->classes->user->new_user($member, $error_string);
	
	
	$this->classes->error->complete('index.php', $this->classes->lang->language['lang_done']);
}


?>