<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/
if ( ! defined( 'IN_REVOKE' ) )
{
	print '<html><head><title>RevokeBB Error</title></head><body><h1>Incorrect access</h1>You cannot access this file directly.</body></html>';
	exit();
}

//--------------------------------
// Load classes
//--------------------------------
include 'inc/class_thread.php';

$this->classes->lang->load('showthread');

if(isset($_POST['code']))
{
	$code=intval($_POST['code']);
	$tid=intval($_POST['tid']);
	switch($code)
		{
		case '01': { if( !($this->classes->user->info_user['level'] > 5) )
						$this->classes->error->simple_error('no_perm');
					$topic=new Thread($this->classes);
					$topic->pin_thread($tid); 
					$this->classes->skin->content.='<complete>
					<url>index.php?act=showthread.php&tid='.$tid.'</url>
					<text>'.$this->classes->lang->language['pin_done'].'</text>
					</complete>';
					} break;
		case '02': { if( !($this->classes->user->info_user['level'] > 5) )
						$this->classes->error->simple_error('no_perm');
					$topic=new Thread($this->classes);
					$topic->unpin_thread($tid); 
					$this->classes->skin->content.='<complete>
					<url>index.php?act=showthread.php&tid='.$tid.'</url>
					<text>'.$this->classes->lang->language['unpin_done'].'</text>
					</complete>';
					} break;
		case '03': { if( !($this->classes->user->info_user['level'] > 5) )
						$this->classes->error->simple_error('no_perm');
					$topic=new Thread($this->classes);
					$topic->close_thread($tid); 
					$this->classes->skin->content.='<complete>
					<url>index.php?act=showthread.php&tid='.$tid.'</url>
					<text>'.$this->classes->lang->language['closed_done'].'</text>
					</complete>';
					} break;
		}

	
	//$this->skin->display('complete.tpl');
	
}
else
{

	if(!isset($_GET['mid']))
		$this->classes->error->simple_error('no_mid');
	
	$mid=$_GET['mid'];
	
	
	
	//--------------------------------
	// Load mp data
	//--------------------------------
	$query = $this->classes->db->execQuery($this->classes->db->sql_build('fetch_mp_by_mid', array($mid, $this->classes->user->info_user['user_id']) ) );
	$mp=$this->classes->db->fetch_array($query);
	
	$query = $this->classes->db->execQuery($this->classes->db->sql_build('update_mp_state', $this->classes->user->info_user['user_id'] ));
	
	$query = $this->classes->db->execQuery($this->classes->db->sql_build('update_user_newmp', $this->classes->user->info_user['user_id'] ));
	
	$mp['date'] = gmdate('d F Y H:i', $mp['date']);
	$mp['text'] = stripslashes($mp['text']);
	$mp['online'] = intval((($mp['lastaction']+(15*60))>time()));
	
	$this->classes->skin->assign('pvt', $mp);
	
	if(isset($_GET['popup']))
	{			
		$this->classes->skin->assign('user', $this->classes->user->info_user);
		$this->classes->skin->assign('config', $this->classes->_config);
		$this->classes->skin->assign('mode', array('modcp' => intval($_SESSION['modcp']), 'admin' => intval($this->classes->user->info_user['admincp'] == 1)));
		$this->classes->skin->assign('lang', $this->classes->lang->lang_all);
		$this->classes->skin->display('showmp.tpl');
		exit;	
	}
	
	
}


?>