<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/
if ( ! defined( 'IN_REVOKE' ) )
{
	print '<html><head><title>RevokeBB Error</title></head><body><h1>Incorrect access</h1>You cannot access this file directly.</body></html>';
	exit();
}

class var_filtrer
{
	/**
    * variable to be parsed
    * @access Private
    * @var ?
    */
	var $variable;
	

	/**
	* Filtrer constructor
	*
	* @param none
	* @author denadai2 <denadai2@gmail.com>
	* @since v 1.0
	* @access Public
	* @return Void
	*/	
	function var_filtrer()
	{
		//$this->add($var);
	
	}

	/**
	* Add a var to filtrer
	*
	* @param String $var
	* @author denadai2 <denadai2@gmail.com>
	* @since v 1.0
	* @access Public
	* @return Void
	*/
	function add($var)
	{
		if(!is_array($var))
			$this->variable=array("$var" => $var);
		else
			$this->variable=$var;
	}
	
	/**
	* String Filtrer
	*
	* @param String $name
	* @param Integer $let_html
	* @author denadai2 <denadai2@gmail.com>
	* @since v 1.0
	* @access Public
	* @return Void
	*/	
	function String($name, $let_html=1)
	{
		if(!isset($this->variable[$name]))
			return '';
		
		$this->variable[$name]=stripslashes(trim($this->variable[$name]));
		
		if($let_html!=1)
			$this->variable[$name]=strip_tags($this->variable[$name]);
		
		$this->variable[$name]=htmlspecialchars($this->variable[$name], ENT_QUOTES);

        $this->variable[$name] = preg_replace("/\\\(?!&#|\?#)/", "&#092;", $this->variable[$name]);

        return trim($this->variable[$name]);
	}

	/**
	* Integer Filtrer
	*
	* @param String $name
	* @author denadai2 <denadai2@gmail.com>
	* @since v 1.0
	* @access Public
	* @return Integer
	*/	
	function Integer($name)
	{
		if(!isset($this->variable[$name]))
			return '';
		return intval($this->variable[$name]);
	}



}
