<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/

$lang['index']['general']=array(
				'send'					=>		'Send',
				'delete'				=>		'Delete',
				'nickname'				=>		'Username',
				'password'				=>		'Password',
				'login'					=>		'Login',
				'save'					=>		'Save',
				'edit'					=>		'Edit',
				'import'				=>		'Import',
				'export'				=>		'Export',
				'sync'					=>		'Sync',
				'search'				=>		'Search',
				'yes'					=>		'Yes',
				'no'					=>		'No'
				
				);

$lang['header']['main'] = array(
				'connected_as'			=>		'You are logged in as:',
				'last_visit'			=>		'Your last visit was:',
				'logout'				=>		'Logout',
				'timenow'				=>		'It is',
				'search'				=>		'Search:',
				'memberlist'			=>		'Memberlist',
				'register'				=>		'Register',
				'nick'					=>		'Nickname:',
				'pass'					=>		'Password:',
				'remember'				=>		'Remember',
				'usercp'				=>		'User CP',
				'admincp'				=>		'Admin CP',
				'pdcon'					=>		'PdC Mod ON',
				'pdcoff'				=>		'PdC Mod OFF'
				
				);

$lang['forums']['main']=array(
				'discussion_title'		=>		'Title',
				'author'				=>		'Author',
				'reply'					=>		'Replies',
				'counter'				=>		'Visits',
				'last_post'				=>		'Last post',
				'discussion_newposts'	=>		'Thread opened - new post',
				'survey_new'			=>		'Poll opened - new posts',
				'discussion_nonewposts'	=>		'Thread opened - no new posts',
				'discussion_no'			=>		'Poll opened  - no new posts',
				'discussion_hot'		=>		'Hot thread! - new posts',
				'moved'					=>		'Thread moved',
				'discussion_hot_nonewposts' 	=>		'Hot thread - no new posts',
				'closed'				=>		'Thread closed',
				'no_threads'			=>		'No thread in this forum',
				'lang_page'				=>		'Page: ',
				'new_replies'			=>		'New replies',
				'no_new_replies'		=>		'No new replies',
				'hot_topic_new'			=>		'Hot topic (new)',
				'hot_topic_nonew'		=>		'Hot topic (no new)',
				'poll_new'				=>		'Poll (new)',
				'poll_nonew'			=>		'Poll (no new)',
				'locked'				=>		'Topic closed',
				'moved'					=>		'Topic moved'
				);
				
				
$lang['forums']['cat']=array(
				'cat_title'				=>		'Title',
				'author'				=>		'Author',
				'replies'				=>		'Replies',
				'views'				=>		'Visits',
				'last_post'				=>		'Last post'
				);
				
$lang['forums']['no_thread']=array(
				'message'				=>		'We\'re sorry, this forum has no threads'
				);
				
$lang['index']['main']=array(
				'forum_title'			=>		'Forum',
				'threads'				=>		'Threads',
				'reply'				=>		'Replies',
				'last_thread'			=>		'Last thread',
				'welcome'				=>		'Welcome',
				'mp'					=>		'Private messages',
				'mp_then'				=>		'unread, Total',
				'stats_block'			=>		'What happens ...',
				'useronline'			=>		'Users online now'
				
				);

$lang['index']['welcome']=array(
				'no_register'			=>		'Welcome visitor! You seem not to be logged in, please login, or if you aren\'t yet registered and you\'d like to join us, register!',
				'welcome_user'			=>		'Welcome, ',
				'new_pvt'				=>		'New PMs: '
				
				);
				
				
$lang['index']['stats']=array(
				'stats'					=>		'Stats..',
				'users_online'			=>		'Users online now',
				'forum_stats'			=>		'Forum stats',
				'lang_threads'			=>		'Threads: ',
				'lang_replies'			=>		'Posts:	',
				'lang_users'			=>		'Registered users:	',
				'lang_last_user'		=>		'Welcome to our latest registered user, ',
				'lang_guests'			=>		'Guests online: ',
				'lang_users'			=>		'Users online: ',
				'lang_online_users'		=>		'People online: '
				
				);

$lang['index']['cat']=array(
				'lang_forums'			=>		'Forum',
				'lang_threads'			=>		'Threads',
				'lang_replies'			=>		'Replies',
				'lang_last_post'			=>		'Last message'
				);
				
$lang['newthread']['main']=array(
				'new_thread'			=>		'Your thread has been inserted, thank you',
				'title'				=>		'New thread',
				'smiles'				=>		'Available smiles:',
				'lang'				=>		'en',
				'lang_object'			=>		'Thread subject',
				'lang_insert'			=>		'Insert your post',
				'lang_options'			=>		'Post options',
				'lang_then_post'			=>		'After posting:',
				'lang_no_actions'			=>		'(no action)',
				'lang_pin_close'			=>		'Pin and close',
				'lang_pin'				=>		'Pin the thread',
				'lang_close'			=>		'Close the thread',
				'lang_done'				=>		'Your message has been successfully inserted, thank you',
				'lang_upload'			=>		'Attachment:',
				'lang_submit'			=>		'Submint',
				'lang_poll'				=>		'Poll options',
				'lang_click_poll'			=>		'Click here to add a poll'

				);
				
$lang['profile']['main']=array(
				'nav_title'				=>		'Profile',
				'title'					=>		'User profile ',
				'lang_avatar'			=>		'Avatar',
				'lang_totalposts'		=>		'Total posts',
				'lang_location'			=>		'Location',
				'lang_website'			=>		'Website',
				'lang_occupation'		=>		'Employment: ',
				'lang_interests'		=>		'Interests: ',
				'lang_contact'			=>		'Contact him',
				'lang_email'			=>		'Send him an email',
				'lang_pvt'				=>		'Send him a PM',
				'lang_msn'				=>		'MSN',
				'lang_yahoo'			=>		'Yahoo',
				'lang_icq'				=>		'ICQ',
				'lang_infos'			=>		'Infos',
				'lang_unknow'			=>		'Unknown',
				'lang_gender'			=>		'Gender',
				'lang_male'				=>		'Male',
				'lang_female'			=>		'Female',
				'lang_stats'			=>		'Stats',
				'lang_sign'				=>		'Signature',
				'lang_joined'			=>		'Joined: ',
				'lang_lastaction'		=>		'Last action',
				'lang_pf'				=>		'Profile accesses'
				

				);
				
				
$lang['newpost']['main']=array(
				'new_post'				=>		'Your post has been successfully inserted, thank you.',
				'title'					=>		'Reply to thread',
				'lang_title'			=>		'New Post',
				'lang'					=>		'en',
				'lang_object'			=>		'Subject',
				'lang_insert'			=>		'Insert your post',
				'lang_options'			=>		'Post options',
				'lang_then_post'		=>		'After posting:',
				'lang_no_actions'		=>		'(no action)',
				'lang_pin_close'		=>		'Pin and close the thread',
				'lang_pin'				=>		'Pin the thread',
				'lang_close'			=>		'Chiudi discussione',
				'lang_done'				=>		'Your post has been successfully inserted, thank you.',
				'last_10'				=>		'Last 10 posts.',
				'lang_upload'			=>		'Attachment:',
				'lang_submit'			=>		'Send the post'
				);
				
$lang['newpost']['edit']=array(
				'lang_title'			=>		'Edit post',
				'lang'					=>		'it',
				'lang_object'			=>		'Subject',
				'lang_insert'			=>		'Edit your post',
				'lang_options'			=>		'Post options',
				'lang_then_post'		=>		'After editing:',
				'lang_no_actions'		=>		'(no action)',
				'lang_pin_close'		=>		'Pin and close the thread',
				'lang_pin'				=>		'Pin the thread',
				'lang_close'			=>		'Close the thread',
				'last_10'				=>		'Last 10 posts',
				'lang_upload'			=>		'Attachment:',
				'lang_submit'			=>		'Send the post'
				);
				
$lang['newpost']['threadinfos']=array(
				'lang_author'			=>		'Author: ',
				'lang_date'				=>		'Date: ',
				'lang_replies'			=>		'Replies: ',
				'lang_views'			=>		'Visits: '

				);
				
$lang['newmp']['main']=array(
				'new_post'				=>		'Your post has been successfully inserted, thank you.',
				'title'					=>		'Reply to the thread',
				'lang_title'			=>		'New Private Message',
				'lang'					=>		'en',
				'lang_object'			=>		'Post subject',
				'lang_insert'			=>		'Insert your post',
				'lang_options'			=>		'Post options',
				'lang_then_post'		=>		'After posting:',
				'lang_no_actions'		=>		'(no action)',
				'lang_pin_close'		=>		'Pin and close the thread',
				'lang_pin'				=>		'Pin the thread',
				'lang_close'			=>		'Close the thread',
				'lang_done'				=>		'Your post has been successfully inserted',
				'lang_submit'			=>		'Send the post'
				
				);
				
$lang['register']['main']=array(
				'subtitle'				=>		'You have to fill al the fields to complete the registration',
				'title'					=>		'User registration',
				'nickname'				=>		'Username',
				'name_used'				=>		'Username already exists, please type a different one',
				'insert_pass'			=>		'Insert your password. Remember the password is case-sensitive',
				'password'				=>		'Password',
				'confirm_pass'			=>		'Confirm password',
				'email'					=>		'Email',
				'insert_email'			=>		'Insert your email. Your account attivation will be send via email',
				'confirm_email'			=>		'Confirm email',
				'pass_notequal'			=>		'Passwords mismatch',
				'mail_notequal'			=>		'Emails mismatch',
				'lang_done'				=>		'Registration successful',
				'lang_captcha'			=>		'Image Verification'
				);
				
				
				
				
$lang['login']['main']=array(
				'login_done'			=>		'You are logged in as: ',
				'logout_done'			=>		'Now you are logged out, ',
				'modcp_on'				=>		'ModCP active',
				'modcp_off'				=>		'ModCP unactive',
				'lang_username'			=>		'Type your username',
				'lang_password'			=>		'Type your password',
				'title'				=>		'Login',
				'subtitle'				=>		'Fill the form with your account details to login',
				'options'				=>		'Options',
				'lang_remember'			=>		'Remember me',
				'lang_remember_desc'		=>		'Cookies must be activated!',
				'error'				=>		'Username or password are wrong'
				
				);

$lang['showthread']['main']=array(
				'closed_done'			=>		'Thread closed',
				'pin_done'				=>		'Thread pinned',
				'unpin_done'			=>		'Thread unpinned',
				'lang_page'				=>		'Page: ',
				'delete_done'			=>		'Thread successfully deleted',
				'vote_done'				=>		'Voting done',
				'delete_post_done'		=>		'Post successfully deleted',
				'delete_confirm'		=>		'Do you confirm the thread deletion? ',
				'move_done'				=>		'Thread successfully moved',
				'replyed'				=>		'Thread reply: ',
				'sub_user'				=>		'An user has replied to the thread \' '

				);
				
$lang['showthread']['threadinfos']=array(
				'lang_author'			=>		'Author: ',
				'lang_date'				=>		'Date: ',
				'lang_replies'			=>		'Rwplies: ',
				'lang_views'			=>		'Visits: '

				);

$lang['showthread']['post']=array(
				'lang_posted'			=>		'Posted: ',
				'lang_posts'			=>		'Messagges: ',
				'lang_hits'				=>		'Times '

				);
				
$lang['usercp']['main']=array(
				'avatar_uploaded'		=>		'Avatar successfully updated',
				'sign_updated'			=>		'Signature successfully updated',
				'lang_no_pvt'			=>		'No Private Messages',
				'lang_deleted'			=>		'Private Messages deleted',
				'lang_profile_upd'		=>		'Profile updated',
				'lang_sub_deleted'		=>		'Subscriptions deleted',
				'mp_title'				=>		'Private Messages',
				'no_pvt'				=>		'No Private Messages',
				'obj'					=>		'Subject',
				'author'				=>		'Author',
				'date'					=>		'Date',
				'message_dir'			=>		'Message directory',
				'used_space'			=>		'Space used',
				'profile'				=>		'Profile',
				'msn'					=>		'MSN account:',
				'yahoo'					=>		'Yahoo account:',
				'location'				=>		'Location:',
				'gender'				=>		'Gender:',
				'gender_b'				=>		'M',
				'gender_g'				=>		'F',
				'email_now'				=>		'Current email:',
				'new_email'				=>		'New Email:',
				'new_email2'			=>		'Confirm nuova Email:',
				'change_pass'			=>		'Password change',
				'new_pass'				=>		'New Password:',
				'new_pass2'				=>		'Confirm new Password:',
				'subscribed_threads'	=>		'Subscribed threads',
				'general_options'		=>		'General options',
				'display_options'		=>		'Visualizing options',
				'profile_options'		=>		'Profile options',
				'thread'				=>		'Thread',
				'replies'				=>		'Replies',
				'views'					=>		'Visits',
				'last_post'				=>		'Last message',
				'no_threads'			=>		'There are no subscribed threads',
				'threads_feed'			=>		'Subscribed threads feeds',
				'avatar'				=>		'Avatar',
				'reset_avatar'			=>		'Reset Avatar and don\'t use it',
				'description'			=>		'Here you can insert a custom avatar',
				'language'				=>		'Language',
				'wysiwyg'				=>		'Visual editor',
				'skin'					=>		'Default skin',
				'activated'				=>		'User account activated',
				'mail_act_sent'			=>		'The activation email has been sent'

				);
				

$lang['usercp']['usercpopt']=array(
				
				

				);
				
$lang['search']['main']=array(
				'no_threads'			=>		'No thread matching the typed string found',
				'title'					=>		'Search: ',
				'cat_title'				=>		'Thread title',
				'author'				=>		'Author',
				'replies'				=>		'Replies',
				'views'					=>		'Visits',
				'last_post'				=>		'Last message'
				);

$lang['memberlist']['main']=array(
				'nome'					=>		'Name',
				'mex'           		=>      'Messages',
				'grp'           		=>      'Group',
				'mp'            		=>      'Contact',
				'url'           		=>      'Site',
				'join'          		=>      'Registered on',
				'nav'           		=>      'User list',
				'all'           		=>      'All groups',
				'snd'           		=>      'Send',
				'no_usr_list'   		=>      'No user in the list'
				);	
				
$lang['admincp']['main']=array(
				'panel'					=>		'Panel',
				'homecp'				=>		'Home Admincp',
				'general_settings'		=>		'General settings',
				'stats'					=>		'Stats',
				'users'					=>		'Users',
				'block'					=>		'Notepad',
				'styles'				=>		'Styles',
				'forums'				=>		'Forums and cats',
				'logs'					=>		'Logs',
				'language'				=>		'Languages',
				'notes'					=>		'Notes',
				'sinfos'				=>		'Server infos',
				'revoke_version'		=>		'RevokeBB version:',
				'php_version'			=>		'PHP version:',
				'mysql_version'			=>		'MySQL version',
				'sqlite_version'		=>		'SQLlite version',
				'sload'					=>		'Server Load'
				
				);

$lang['admincp']['general']=array(
				'title'					=>		'General settings',
				'description'			=>		'Here you can administrate the main settings of the board... Be careful!',
				'general'				=>		'General:',
				'board_name'			=>		'Board name:',
				'board_domain'			=>		'Board url (e.g. http://www.revokesoft.net):',
				'board_path'			=>		'Board path (e.g. /forum/):',
				'board_skin'			=>		'Default skin:',
				'board_visual'			=>		'wysiwyg editor:'
				
				);

$lang['admincp']['stats']=array(
				'title'					=>		'Board stats',
				'description'			=>		'Here you can see the stats for your board.',
				'post_week'				=>		'Week posts :',
				'posts'					=>		'posts'
				
				);
				
$lang['admincp']['notes']=array(
				'title'					=>		'Admin Notes',
				'description'			=>		'Here you can signal something to another admin, or simply note up something.',
				'note'					=>		'Note:'
				
				);
				
$lang['admincp']['lang']=array(
				'title'					=>		'Languages management',
				'description'			=>		'Here you can adminstrate the available languages for your board',
				'languages_in'			=>		'Available languages:',
				'export'				=>		'Export language:',
				'import'				=>		'Import language:'
				
				);
				
$lang['admincp']['complete']=array(
				'continue'				=>		'Continue',
				'home'					=>		'Home Admin Panel',
				'back'					=>		'Back'
				
				);
				
$lang['admincp']['forums']=array(
				'title'					=>		'Forums management',
				'description'			=>		'Here you can manage your forum and cats. Use drag and drop to edit the displaying of the forums',
				'newforum'				=>		'New Forum..',
				'namef'					=>		'Forum name:',
				'descf'					=>		'Description:',
				'redirectf'				=>		'Forum redirecting?',
				'redirect2f'			=>		'Redirecting url:',
				'description2'			=>		'Here you can create a new forum. Please set up permissions carefully!',
				'title2'				=>		'New Forum',
				'details'				=>		'Forum details:',
				'perms'					=>		'Forum permissions :',
				'nameg'					=>		'Group name',
				'seef'					=>		'Show forum',
				'readf'					=>		'Read forum',
				'seet'					=>		'Show threads',
				'newt'					=>		'Create threads',
				'upload'				=>		'Upload'
				
				);
				
$lang['admincp']['users']=array(
				'title2'				=>		'User management',
				'title'					=>		'Users management',
				'description'			=>		'Here you can manage your users.',
				'description2'			=>		'Here you can manage your user\'s account details.',
				'user_nick'				=>		'Name:',
				'user_pass'				=>		'Password:',
				'user_pass_note'		=>		'(Left blank not to edit)',
				'level'					=>		'Level:',
				'email'					=>		'E-Mail:',
				'posts'					=>		'Post number:',
				'user_msn'				=>		'Msn acconut:',
				'user_yahoo'			=>		'Yahoo account:',
				'user_location'			=>		'Location:',
				'website'				=>		'Website:',
				'user_gender'			=>		'Gender:',
				'user_sign'				=>		'Signature:',
				'users'					=>		'Users',
				'no_found'				=>		'You selected no user. Please search again.',
				'search'				=>		'Search a user ..'
				
				);

$lang['admincp']['logs']=array(
				'title'					=>		'Logs',
				'description'			=>		'Here you can see last administrators, moderators and SEs spiders actions.',
				'adlogs'				=>		'Admin Logs',
				'aname'					=>		'Member name',
				'aaction'				=>		'Action',
				'time'					=>		'Time of action',
				'ip'					=>		'IP Address',
				'sname'					=>		'Spider_name',
				'spage'					=>		'Page',
				'next'					=>		'Next',
				'before'				=>		'Prec'
				
				
				);
				
?>