<?php
include("header.php");
include("settings.php");

function array_slice_preserve_keys($array, $offset, $length = null)
{

  if(function_exists('version_compare') and version_compare(PHP_VERSION, '5.0.2') >= 0) {
    return array_slice($array, $offset, $length, true);
  }


  $result = array();
  $i = 0;
  if($offset < 0)
      $offset = count($array) + $offset;
  if($length > 0)
      $endOffset = $offset + $length;
  else if($length < 0)
      $endOffset = count($array) + $length;
  else
      $endOffset = count($array);
 

  foreach($array as $key=>$value)
  {
      if($i >= $offset && $i < $endOffset)
          $result[$key] = $value;
      $i++;
  }
 

  return($result);
}

$array = file("$datafile");
unset($array[0]);

$page=$_GET['page'];

if(!isset($HTTP_GET_VARS['page']))
{
$page = 1;
}

$s=sizeof($array);

$start = ($page * $show_per_page) - $show_per_page;



$slice = array_slice_preserve_keys($array, $start, $show_per_page);

$end=$show_per_page*$page;

if ($start != '0') {
$new_page=$page-1;
$previously="<a href='?page=$new_page'>Newer</a>";
}
else {
$previously="";
}
if ($end < $s) {
$new_page1=$page+1;
$next="<a href='?page=$new_page1'>Older</a>";
}
else {
$next="";
}



$break="|";

foreach ($slice as $lnum => $thisline) {
list($title, $post, $date, $id, $image)=explode($break,$thisline);

$image = trim($image, "\n");

//comment number start
$comm_count = 0;
$commentfilearray = file($commentfile);
unset($commentfilearray[0]);
foreach($commentfilearray as $comment){
$break = "|";
list($namecom, $commentcom, $datecom, $idcom)=explode($break,$comment);

if(trim($id) == trim($idcom)){
$comm_count = $comm_count+1;
}
}
//comment number end

if($want_comments == "true"){
$comment_links = "<a href=\"add_comment.php?id=$id\">Add comment</a> | <a href=\"view_comments.php?id=$id\">View comments</a> ($comm_count)";
}

$image = trim($image);

if($image != ""){
echo "
<table width=\"100%\" border=\"0\" cellpadding=\"0\">
  <tr>
    <td><p><span class=\"title\">$title</span><br />
        <span class=\"date\">$date</span></p>
      <img src=\"$image\" style=\"float: right; margin: 4px\" border=\"0\">
      <p class=\"blog_post\">$post</p>
      </td>
  </tr>
  <tr>
  <td height=\"1%\"><div align=\"left\">$comment_links</div><div align=\"right\"><a href=\"view_post.php?id=$id\">#$id</a></div></td></tr>
</table>
<hr>
<br>";
} else {
echo "
<p><span class=\"title\">$title</span><br />
  <span class=\"date\">$date</span></p>
<p class=\"blog_post\">$post</p>
<div align=\"left\">$comment_links</div><div align=\"right\"><a href=\"view_post.php?id=$id\">#$id</a></div>
<br>
<hr>
<br>";
}
}
echo "<table width=100% align='center'><tr><td width=30%>".$previously."</td><td align=right width=30%>".$next."</td></tr></table>";

echo "<center><a href=\"http://www.publicwarehouse.co.uk\" target=\"_blank\">Powered by LightBlog</a></center>";

include("footer.php");
?>