<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/

if ( ! defined( 'IN_REVOKE' ) )
{
	print '<html><head><title>RevokeBB Error</title></head><body><h1>Incorrect access</h1>You cannot access this file directly.</body></html>';
	exit();
}

$this->classes->lang->load('index');



if(isset($_GET['s']))
{
	$s=intval($_GET['s']);
	$this->classes->var_filtrer->add($_POST);
	switch($s)
	{
		case '01':  
				{
				$filelocation='uploads/import_'.time().rand(0,150).'.xml';
				
				if(!isset($_FILES['lang_file']))
					$this->classes->error->simple_error('err_uploading');
				if(!copy($_FILES['lang_file']['tmp_name'], $filelocation))
					$this->classes->error->simple_error('temp_upload'); 

				$this->classes->lang->import_lang($filelocation); 
				
				$logs->new_admin_log('Imported a language');
				
				$this->classes->error->admin_complete('File di lingua importato con successo', 'index.php?act=admin&code=lang');
				
				
				}break;
		case '02': 
				{
				$langname=$this->classes->var_filtrer->String('lang_name');
				if(!file_exists('languages/'.$langname))
					$this->classes->error->simple_error('lang_noexists');
				$this->classes->lang->export_lang($langname);
				$logs->new_admin_log('Exported the language '.$langname);
				}break;
	}
	exit;
}


$query = $this->classes->db->execQuery($this->classes->db->sql_build('fetch_languages'));
while($vett=$this->classes->db->fetch_array($query))
{
	$all_langs[] = $vett;
}
$this->classes->skin->assign('langs', $all_langs);

?>