<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/
if ( ! defined( 'IN_REVOKE' ) )
{
	print '<html><head><title>RevokeBB Error</title></head><body><h1>Incorrect access</h1>You cannot access this file directly.</body></html>';
	exit();
}

//----------------------------------
// Load classes
//----------------------------------
require 'inc/class_search.php';


$sid=session_id();
$this->classes->var_filtrer->add($_GET);

$this->classes->lang->load('search');

$search_string = $this->classes->var_filtrer->String('search');	
$search_name = $this->classes->var_filtrer->String('search_name');
$typ = $this->classes->var_filtrer->String('typ');
$start = $this->classes->var_filtrer->String('start');
$stop = $this->classes->var_filtrer->String('mpp');
$oby = $this->classes->var_filtrer->String('oby');
$dat = $this->classes->var_filtrer->String('dat');
$frum = $this->classes->var_filtrer->String('frum');


$timenow 	= time();

if($search_string)
{
	if(strlen($search_string)<4)
		$this->classes->error->simple_error('search_len');	
	
	if(!$search_name)	
		$nam = "1";
	else
		$nam = "revokebb_threads.postusername = '".$search_name."'";
	
	if(!$frum || $frum == "*")	
		$frm = "1";	
	else
		$frm = "revokebb_threads.forumid = '".$frum."'";	
	
	if($this->classes->var_filtrer->String('search_match') == "text")
		$match = "revokebb_posts.text, revokebb_posts.title";
	elseif($this->classes->var_filtrer->String('search_match') == "title")
		$match = "revokebb_posts.title";
	else
		$match = "revokebb_posts.text, revokebb_posts.title";
	
	if(!$typ)
		$typ = "DESC";

	if(!$start)
		$start = "0";
	
	if(!$dat)
		$dat = $timenow - 86400;	
	
	if(!$stop)
		$stop = "2";	

	if(!$oby)
		$oby = "score";
	


	$search = new Search( $this->classes );

	if($this->classes->var_filtrer->String('search_full') == "full")
		$search->full_thread_search($search_string, $nam, $match, $oby, $typ, $dat, $start, $stop, $frm, $search_name, $frum);
	else
		$search->fast_thread_search($search_string, $start, $stop, $frum);

	$nav['type'] = '<a href="index.php?act=search" class="nav">'.$this->classes->lang->language['title_s']." ".$search_string.'</a>';
	$nav['string'] = $search_string;
	$this->classes->skin->assign('nav', $nav);
$nav['title'] = $nav['type'];

	$act='showforum';
}
else
{
	if($search_name)
	{
		$nam = "revokebb_threads.postusername = '".$search_name."'";
	
		if(!$frum || $frum == "*")	
			$frm = "1";	
		else
			$frm = "revokebb_threads.forumid = '".$frum."'";	

	
		if(!$typ)
			$typ = "DESC";

		if(!$start)
			$start = "0";
	
		if(!$dat)
			$dat = $timenow - 86400;	
	
		if(!$stop)
			$stop = "2";	

		if(!$oby || $oby == "score")
			$oby = "postusername";
	


		$search = new Search( $this->classes );

		$search->full_thread_search('',$nam, $match, $oby, $typ, $dat, $start, $stop, $frm, $search_name, $frum);
		$nav['type'] = '<a href="index.php?act=search" class="nav">'.$this->classes->lang->language['title_m']." ".$search_name.'</a>';
		$nav['string'] = $search_name;
		$this->classes->skin->assign('nav', $nav);
		$nav['title'] = $nav['type'];
		$act='showforum';
	}
	else
	{

		$typa = array(
						'DESC' => $this->classes->lang->language['desc'],
						'ASC'  => $this->classes->lang->language['asc']
					 );

		$mppa = array( '5', '10', '15', '20', '25', '30', '40', '50', '100');

		$obya = array(
						'score'      => $this->classes->lang->language['score'],
						'dateline'   => $this->classes->lang->language['data'],
						'postusername'   => $this->classes->lang->language['author'],
						'reply'   => $this->classes->lang->language['replies']
			 		 );

		$matcha = array(
						'all'   => $this->classes->lang->language['all'],
						'text'  => $this->classes->lang->language['text'],
						'title' => $this->classes->lang->language['title']
			    	   );
					   
		$today		= $timenow - 86400;
		$week 		= $timenow - 604800;			 
		$mmonth 	= $timenow - 1209600;
		$month 		= $timenow - 2592000;
		$smonth 	= $timenow - 5184000;
		$tmonth 	= $timenow - 7776000;
		$myear 		= $timenow - 15552000;
		$year 		= $timenow - 31104000;

		$dataa = array(
						$today          => $this->classes->lang->language['today'],
						$week		    => $this->classes->lang->language['week'],
						$mmonth         => $this->classes->lang->language['mmonth'],
						$month          => $this->classes->lang->language['month'],
						$smonth		    => $this->classes->lang->language['smonth'],
						$tmonth         => $this->classes->lang->language['tmonth'],
						$myear		    => $this->classes->lang->language['myear'],
						$year           => $this->classes->lang->language['year'],
						'1'             => $this->classes->lang->language['4ever']
					 );	
				 
		$fruma['*'] = $this->classes->lang->language['all'];
		$query=$this->classes->db->execQuery($this->classes->db->sql_build('fetch_all_forums'));
		
		while($vea=$this->classes->db->fetch_array($query))
			$fruma[$vea['forum_id']] = $vea['title'];
				 		 			 			 


		$nav['type'] = '<a href="index.php?act=search" class="nav">'.$this->classes->lang->language['search_av'].'</a>';
		$nav['string'] = $search_string;
		$nav['title'] = $nav['type'];
		$this->classes->skin->assign('full', "<input type='hidden' value='full' name='search_full' />");
		$this->classes->skin->assign('nav', $nav);
		$this->classes->skin->assign('frum', menu_create("frum",$fruma,0));
		$this->classes->skin->assign('dat', menu_create("dat",$dataa,0));
		$this->classes->skin->assign('match', menu_create("match",$matcha,0));
		$this->classes->skin->assign('oby', menu_create("oby",$obya,0));
		$this->classes->skin->assign('typ', menu_create("typ",$typa,0));
		$this->classes->skin->assign('mpp', menu_create("mpp", $mppa, 2, '1'));
	}
}
?>