<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/
if ( ! defined( 'IN_REVOKE' ) )
{
	print '<html><head><title>RevokeBB Error</title></head><body><h1>Incorrect access</h1>You cannot access this file directly.</body></html>';
	exit();
}

//----------------------------------
// Load classes
//----------------------------------
include 'inc/class_forum.php';

$this->classes->lang->load('forums');
$this->classes->var_filtrer->add($_GET);

if(!isset($_GET['fid']))
	$this->classes->error->simple_error('no_fid');


$fid=$this->classes->var_filtrer->Integer('fid');
if(!isset($_GET['start']))
	$start=0;
else
	$start=$this->classes->var_filtrer->Integer('start');
	
//$this->classes->skin->cache = true;
//if(!$this->classes->skin->is_cached('main.tpl', $act.$fid.$start.$this->classes->user->info_user['level'])) {
//----------------------------------
// Navigation
//----------------------------------
$query = $this->classes->db->execQuery($this->classes->db->sql_build('showforum_nav', array($fid, $this->classes->user->info_user['user_group'])));
$nav=$this->classes->db->fetch_array($query);

$nav['type'] = '<a href="index.php?act=showcat&amp;cid='.$nav['cat_id'].'" class="nav">'.$nav['cat_title'].'</a> =&gt;<a href="index.php?act=showforum&amp;fid='.$nav['forum_id'].'" class="nav">'.$nav['title'].'</a>';
$this->classes->skin->assign('nav', $nav);

//can view, can read | can read, can start, can upload
if(! ($nav['perm'][1] ) )
	$this->classes->error->login_error('no_perm');


$forum=new Forum($this->classes, $fid);
$forum->show_forum($fid, $start);

$query=$this->classes->db->execQuery($this->classes->db->sql_build('num_threads', $fid));
$num=$this->classes->db->fetch_array($query);

//----------------------------------
// View all the template
//----------------------------------

$this->classes->skin->assign('forumid', $fid);
$this->classes->skin->assign('page', generate_pagination($this->classes->_config['board_domain'].$this->classes->_config['board_url'].'index.php?act=showforum&fid='.$fid.'&start=', $num['tot'], 15, $start));

//}
//$add = $fid.$start;
?>