<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/
if ( ! defined( 'IN_REVOKE' ) )
{
	print '<html><head><title>RevokeBB Error</title></head><body><h1>Incorrect access</h1>You cannot access this file directly.</body></html>';
	exit();
}

class rev_classes
{
	/**
    * db class
    * @access Public
    * @var class
    */
	var $db;
	
	/**
    * config array
    * @access Public
    * @var array()
    */
	var $_config;
	
	/**
    * var filtrer class
    * @access Public
    * @var class
    */
	var $var_filtrer;
	
	/**
    * skin class
    * @access Public
    * @var class
    */
	var $skin;
	
	/**
    * lang class
    * @access Public
    * @var class
    */
	var $lang;
	
	/**
    * error class
    * @access Public
    * @var class
    */
	var $error;
	
	/**
    * user class
    * @access Public
    * @var class
    */
	var $user;
	
	/**
    * cache class
    * @access Public
    * @var class
    */
	var $cache;	

	/**
	* rev_classes constructor
	*
	* @param array CONFIG
	* @author denadai2 <denadai2@gmail.com>
	* @since v 1.0
	* @access Public
	* @return Void
	*/	
	function rev_classes($CONFIG)
	{
		
		$this->cache = new CacheEngine();
		
		//---------------------------------
		// Database initialisation
		//---------------------------------
		$this->db=new database($CONFIG);
		$this->db->connect();
		
		//---------------------------------
		// Board Configs initialisation
		//---------------------------------
		//$this->_config = $this->cache->GetFromCache('sql_conf', 0, true);
		/*if(!$this->_config)
		{*/
			$query=$this->db->execQuery($this->db->sql_build('fetch_configs'));
			while($row=$this->db->fetch_array($query))
			{
				$this->_config[$row['conf_name']]=$row['conf_value'];
			}
			//$this->cache->WriteToCache('sql_conf', $this->_config);
		//}
		
		$this->var_filtrer = new var_filtrer();
		
		//---------------------------------
		// Skin initialisation
		//---------------------------------
		$this->skin = new Skin($this->_config);	
		
		//---------------------------------
		// Language initialisation
		//---------------------------------
		$this->lang = new Language();
		$this->lang->setlanguage($CONFIG['lang']);
		
		
		$this->error = new Status($this->lang, $this->skin, $this->_config);
		
		$this->user = new User($this->db, $this->skin, $this->lang, $this->_config, $this->error, $this->cache);
		
		$this->error->info_user = & $this->user->info_user;
		
	}


}

?>